/*
 * floodgate API
 *
 * Floodgate DEX API
 *
 * API version: 1.0.0
 * Contact: fg-support@evrynet.io
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package models

type SignatureReq struct {

	// identifier supplied by the client (optional)
	ClientId string `json:"client_id,omitempty"`

	// transaction identifier
	TxId string `json:"tx_id"`

	// base64 encoded solana transaction blob implementing some kind of client request e.g.  order placement or cancelation; needs to be signed by the API client
	TxData string `json:"tx_data"`

	// transaction type, one of: single_order, single_cancel, multi_cancel, settlement
	TxType string `json:"tx_type"`
}
